Package org.apache.storm.trident.windowing.strategy

## Class TumblingDurationWindowStrategy<T>

- java.lang.Object
- - org.apache.storm.trident.windowing.strategy.BaseWindowStrategy<T>
  - - org.apache.storm.trident.windowing.strategy.TumblingDurationWindowStrategy<T>

- All Implemented Interfaces:
    `WindowStrategy<T>`

      public final class TumblingDurationWindowStrategy<T>
      extends BaseWindowStrategy<T>

  This class represents tumbling window strategy based on the window duration from the given `slidingCountWindow` configuration. In this strategy , window and sliding durations are equal.

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.trident.windowing.strategy.BaseWindowStrategy

      `windowConfig`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TumblingDurationWindowStrategy​(WindowConfig tumblingDurationWindow)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EvictionPolicy<T,​?>` | `getEvictionPolicy()` | Returns an `EvictionPolicy` instance which evicts elements after given window duration.
    `TriggerPolicy<T,​?>` | `getTriggerPolicy​(TriggerHandler triggerHandler, EvictionPolicy<T,​?> evictionPolicy)` | Returns a `TriggerPolicy` which triggers for every given sliding duration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TumblingDurationWindowStrategy

          public TumblingDurationWindowStrategy​(WindowConfig tumblingDurationWindow)

  - ### Method Detail

    - #### getTriggerPolicy

          public TriggerPolicy<T,​?> getTriggerPolicy​(TriggerHandler triggerHandler,
                                                           EvictionPolicy<T,​?> evictionPolicy)

      Returns a `TriggerPolicy` which triggers for every given sliding duration.

    - #### getEvictionPolicy

          public EvictionPolicy<T,​?> getEvictionPolicy()

      Returns an `EvictionPolicy` instance which evicts elements after given window duration.